      program showbin
c Read a number from the user and show its internal
c representation.
      print*,'enter number'
      read*,x
      print1,x,x
    1 format('number = ',1pe15.8/'binary representation: ',b32)
c Note: not all Fortran compilers support the b (binary)
c format specification.  Other possibilities are z (hexadecimal)
c and o (octal).
      end
          
